# Repository class

Repository annotation for generic Jet repositories

Example Usage:

    @Repository()
    class UserRepository {
      final Database database;

      UserRepository(this.database);

      Future<User> findById(int id) async {
        return database.query('SELECT * FROM users WHERE id = $id');
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - Repository
Annotations
  - @Target({TargetKind.classType})

## Constructors

Repository.new()
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited